Bug 1272753 - rsync locking up during synchronization
rsync locking up during synchronization
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Ruprich
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 09:01 EDT by Ali Akcaagac
Modified: 2017-12-12 06:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:11:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali Akcaagac 2015-10-18 09:01:15 EDT
I have the following problem with rsync version 3.1.1 protocol version 31. Quite often rsync simply halts during synchronizing process.

I use rsync to synchronize between two backup-media and filesystems. The command issued is this:

rsync --debug=flist2 -c -r -l -i --del "/media/<path1>/" "/media/<path2>/" 2>&1 | tee "${HOME}/rsync.txt"

I need the debug output because the --checksum operation takes quite a long time. During the time no output is being done showing what file is being processed. No matter if I use -v -v -v (which, regarding the document, switches to debug) or --debug... itself, the command sometimes simply hangup in the middle of the process of synchronization.

This is quite annoying if you run this process during night and you wake up in the morning seeing that the process is not finished. Quite usual it's the last line shown in the output that makes it hung.

>f++++++++++ some file

Could this be because of buggy code ? Is this fixed with 3.1.2 (testing) and could the fix be backported ?

;----
[sender] make_file(Fedora-24/xorg-x11-drv-libinput-0.14.0-2.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-drv-nouveau-1.0.12-0.3.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-drv-openchrome-0.3.3-17.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-drv-qxl-0.1.4-6.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-drv-synaptics-1.8.2-4.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-drv-vesa-2.3.2-23.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-drv-vmmouse-13.1.0-2.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-drv-vmware-13.0.2-10.20150211git8f0cf7c.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-drv-wacom-0.31.0-1.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-fonts-ISO8859-1-100dpi-7.5-15.fc23.noarch.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-fonts-misc-7.5-15.fc23.noarch.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-fonts-Type1-7.5-15.fc23.noarch.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-font-utils-7.5-30.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-server-common-1.18.0-0.5.20150907.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-server-utils-7.7-16.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-server-Xorg-1.18.0-0.5.20150907.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-server-Xwayland-1.18.0-0.5.20150907.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-utils-7.5-20.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-xauth-1.0.9-4.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-xbitmaps-1.1.1-8.fc23.noarch.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-xinit-1.3.4-10.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/xorg-x11-xkb-utils-7.7-15.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/xpp3-1.1.4-7.c.fc23.noarch.rpm,*,2)
[sender] make_file(Fedora-24/xscreensaver-base-5.33-3.respin1.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xsettings-kde-0.12.3-11.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/xz-5.2.2-1.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/xz-libs-5.2.2-1.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/yajl-2.1.0-4.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/yelp-3.18.1-1.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/yelp-libs-3.18.1-1.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/yelp-xsl-3.18.1-1.fc24.noarch.rpm,*,2)
[sender] make_file(Fedora-24/youtube-dl-2015.10.09-1.fc24.noarch.rpm,*,2)
[sender] make_file(Fedora-24/zd1211-firmware-1.4-11.fc23.noarch.rpm,*,2)
[sender] make_file(Fedora-24/zeitgeist-libs-0.9.16-1.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/zenity-3.18.0-1.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/zerofree-1.0.3-4.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/zint-2.4.3-11.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/zip-3.0-15.fc23.i686.rpm,*,2)
[sender] make_file(Fedora-24/zlib-1.2.8-9.fc24.i686.rpm,*,2)
[sender] make_file(Fedora-24/zvbi-fonts-0.2.33-19.fc23.noarch.rpm,*,2)
[sender] make_file(Fedora-24/zziplib-0.13.62-6.fc23.i686.rpm,*,2)
>f+++++++++ Fedora-22/abrt-2.6.1-6.fc22.i686.rpm
;----
Comment 1 Jason Tibbitts 2015-12-14 14:27:25 EST
I'm seeing this as well, with an F22 server and an F22 client, both running rsync-3.1.1-6.fc22.x86_64.

Running strace, both ends seem to sit in select() until this times out a couple of times.  It will eventually make progress but takes ages a very long time.
Comment 2 Ali Akcaagac 2016-02-08 05:41:53 EST
For the record: The current mainstream update of rsync still has the same issue.
Comment 3 Fedora End Of Life 2016-07-19 14:15:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Ali Akcaagac 2016-07-19 14:19:07 EDT
Reopening.
Comment 5 Fedora Admin XMLRPC Client 2016-10-17 06:55:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Jason Tibbitts 2016-10-17 12:04:03 EDT
Just to update here, I was able to narrow down the precise issue I'm seeing.

Basically, if I do a sync with --fuzzy _and_ I'm copying a directory that has a really large number of files in it (like the drpms directory for a Fedora release updates tree) then rsync gets _really_ inefficient trying to find matches.  There are a lot of similarly named files in there and I have a feeling it's just doing too much work trying to find similarities so that it can skip a transfer.  If the actual network transfer is going quickly, then the thread which computes the set of things to copy gets behind the actual copy and things just sit around until something times out.

Anyway, for me this is less a bug and more a lack of understanding of the performance implications of --fuzzy.  But of course I can't know if what I'm seeing is the same as what other folks are seeing.
Comment 7 Michal Ruprich 2017-06-28 10:22:09 EDT
The behaviour is reproducible both with or without the --fuzzy. So I'm not sure whether the --fuzzy option really makes any difference.
Comment 8 Fedora End Of Life 2017-11-16 14:23:04 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-12-12 06:11:31 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.